org.jbpm.services.task.commands

## Class ForwardTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
    - - org.jbpm.services.task.commands.ForwardTaskCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<Void>, org.kie.api.command.ExecutableCommand<Void>

      public class ForwardTaskCommand
      extends UserGroupCallbackTaskCommand<Void>

  Operation.Forward : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner, Allowed.BusinessAdministrator ], userIsExplicitPotentialOwner = true, addTargetUserToPotentialOwners = true, removeUserFromPotentialOwners = true, setNewOwnerToNull = true, newStatus = Status.Ready }, new OperationCommand().{ status = [ Status.Reserved, Status.InProgress ], allowed = [ Allowed.Owner, Allowed.BusinessAdministrator ], userIsExplicitPotentialOwner = true, addTargetUserToPotentialOwners = true, removeUserFromPotentialOwners = true, setNewOwnerToNull = true, newStatus = Status.Ready }],
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardTaskCommand()`
    `ForwardTaskCommand(long taskId, String userId, String targetEntityId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context cntxt)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForwardTaskCommand

          public ForwardTaskCommand()

    - #### ForwardTaskCommand

          public ForwardTaskCommand(long taskId,
                                    String userId,
                                    String targetEntityId)

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Void>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Void>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.